Reprocess Failed Inbound Email
curl --request POST \
--url https://api.e-invoice.be/api/mailbox/{inbound_email_id}/reprocess \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.e-invoice.be/api/mailbox/{inbound_email_id}/reprocess', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.e-invoice.be/api/mailbox/{inbound_email_id}/reprocess"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.e-invoice.be/api/mailbox/{inbound_email_id}/reprocess",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://api.e-invoice.be/api/mailbox/{inbound_email_id}/reprocess");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "<string>",
"message_id": "<string>",
"sender_email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"sender_name": "<string>",
"to_addresses": "<string>",
"cc_addresses": "<string>",
"bcc_addresses": "<string>",
"subject": "<string>",
"attachments": [],
"attachment_count": 0,
"processed": false,
"error_message": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"processed_at": "2023-11-07T05:31:56Z",
"document_id": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Mailbox
Reprocess Failed Inbound Email
Retry processing of a previously failed inbound email by replaying the original Postmark payload.
POST
/
api
/
mailbox
/
{inbound_email_id}
/
reprocess
Reprocess Failed Inbound Email
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
⌘I